Skip to main content
POST
/
public
/
v1
/
submit
/
update_user

Authorizations

X-Stamp
string
required
Cryptographically signed (stamped) request to be passed in as a header. For more info, see here.

Body

type
enum<string>
required
Enum options: ACTIVITY_TYPE_UPDATE_USER
timestampMs
string
required
Timestamp (in milliseconds) of the request, used to verify liveness of user requests.
organizationId
string
required
Unique identifier for a given Organization.
parameters
object
required

The parameters object containing the specific intent data for this activity.

generateAppProofs
boolean
Enable to have your activity generate and return App Proofs, enabling verifiability.

Response

A successful response returns the following fields:
activity
object
required
The activity object containing type, intent, and result
curl --request POST \
  --url https://api.turnkey.com/public/v1/submit/update_user \
  --header 'Accept: application/json' \
  --header 'Content-Type: application/json' \
  --header "X-Stamp: <string> (see Authorizations)" \
  --data '{
    "type": "ACTIVITY_TYPE_UPDATE_USER",
    "timestampMs": "<string> (e.g. 1746736509954)",
    "organizationId": "<string> (Your Organization ID)",
    "parameters": {
        "userId": "<string>",
        "userName": "<string>",
        "userEmail": "<string>",
        "userTagIds": [
            "<string>"
        ],
        "userPhoneNumber": "<string>"
    }
}'
import { Turnkey } from "@turnkey/sdk-server";

const turnkeyClient = new Turnkey({
  apiBaseUrl: "https://api.turnkey.com",
  apiPublicKey: process.env.API_PUBLIC_KEY!,
  apiPrivateKey: process.env.API_PRIVATE_KEY!,
  defaultOrganizationId: process.env.ORGANIZATION_ID!,
});

const response = await turnkeyClient.apiClient().updateUser({
  userId: "<string> (Unique identifier for a given User.)",
  userName: "<string> (Human-readable name for a User.)",
  userEmail: "<string> (The user's email address.)",
  userTagIds: ["<string>"] // An updated list of User Tags to apply to this User. This field, if not needed, should be an empty array in your request body.,
  userPhoneNumber: "<string> (The user's phone number in E.164 format e.g. +13214567890)"
});
{
  "activity": {
    "id": "<activity-id>",
    "status": "ACTIVITY_STATUS_COMPLETED",
    "type": "ACTIVITY_TYPE_UPDATE_USER",
    "organizationId": "<organization-id>",
    "timestampMs": "<timestamp> (e.g. 1746736509954)",
    "result": {
      "activity": {
        "id": "<string>",
        "organizationId": "<string>",
        "status": "<string>",
        "type": "<string>",
        "intent": {
          "updateUserIntent": {
            "userId": "<string>",
            "userName": "<string>",
            "userEmail": "<string>",
            "userTagIds": [
              "<string>"
            ],
            "userPhoneNumber": "<string>"
          }
        },
        "result": {
          "updateUserResult": {
            "userId": "<string>"
          }
        },
        "votes": "<array>",
        "fingerprint": "<string>",
        "canApprove": "<boolean>",
        "canReject": "<boolean>",
        "createdAt": "<string>",
        "updatedAt": "<string>"
      }
    }
  }
}